/*--------------------------------------------------------------------------
 * ranmc.h - definitions/declarations for ranmc code
 *           (distributions for Monte Carlo experiments)
 *
 *       (C) Jurgen Doornik 1998
 *
 *--------------------------------------------------------------------------*/

#ifndef RANMC_INCLUDED
#define RANMC_INCLUDED

enum
{   NO_DIST, NORMAL, MVNORMAL, MVNORMAL_CORR, LOGNORMAL, T_DIST, F_DIST,
    EXPONENTIAL, MVNARCH, MVNHETERO
};

class RanMC
{
	static Choleski(const mSig);
	static CheckDist(const sFunc, iDist, mPar1, mPar2);
	static RanDist(const iDist, const cT, const cY, const mDf1, const mDf2);
	static RanDist1(const iDist, const cY, const mDf1, const mDf2, const mUlag, const mYlag);
	static WriteDist(const sPar, const iDist, const mDf1, const mDf2);
};

#endif // RANMC_INCLUDED

